%define version 0.11.2

%define release %mkrel 2

%define		gstreamer 0.10.0
%define		gstname gstreamer0.10

%define major 0
%define libname %mklibname rhythmbox %major

Name:		rhythmbox
Summary:	Music Management Application 
Version:	%version
Release:	%release
License:	GPL
Group:		Sound
Source:		http://ftp.gnome.org/pub/GNOME/sources/rhythmbox/%{name}-%{version}.tar.bz2
#gw from Fedora, enable Magnatune and Jamendo by default
Patch1: rhythmbox-enable-stores.patch
URL:		http://www.rhythmbox.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libgnomeui2-devel
BuildRequires:  libglade2.0-devel
BuildRequires:  libid3tag-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libvorbis-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  libgpod-devel
BuildRequires:  libflac-devel
BuildRequires:  scrollkeeper
BuildRequires: libsoup-devel
BuildRequires: libsexy-devel
BuildRequires: libxrender-devel
BuildRequires: pygtk2.0-devel
BuildRequires: liblirc-devel
BuildRequires: desktop-file-utils
BuildRequires: libcheck-devel
BuildRequires: avahi-client-devel
BuildRequires: avahi-glib-devel
BuildRequires:  libnotify-devel >= 0.3.2
BuildRequires:  libgstreamer-plugins-base-devel >= %gstreamer
BuildRequires:  x11-server-xvfb
BuildRequires:  libnautilus-burn-devel > 2.11.3
BuildRequires:  libtotem-plparser-devel >= 1.1.3
BuildRequires:  libmtp-devel
BuildRequires:  gnome-media libcddb-slave2-devel
BuildRequires:  libvala-devel
BuildRequires:  gtk-doc
#BuildRequires:	automake1.8 gnome-common
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
Requires: %gstname-plugins-base
Requires: %gstname-plugins-good
Requires: %gstname-plugins-ugly
Requires:	%gstname-gnomevfs >= %gstreamer
Requires:	%gstname-flac >= %gstreamer
Requires:	dbus-x11
Requires: pygtk2.0-libglade
Requires: gnome-python
Requires: gnome-python-gconf
Requires: gnome-python-gnomevfs
#Suggests:	%gstname-faad
Provides:	net-rhythmbox
Obsoletes:	net-rhythmbox
Provides:	rhythmbox0.7
Obsoletes:	rhythmbox0.7
Provides:	rhythmbox-scrobbler
Obsoletes:	rhythmbox-scrobbler
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper
Requires(post):		GConf2 >= 2.3.3
Requires(preun):	GConf2 >= 2.3.3

%description
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of CD-Rs.

%package -n %libname
Group:System/Libraries
Summary: Shared library part of %name

%description -n %libname
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of CD-Rs.

This is the shared library part of %name.

%prep
%setup -q
cd data
%patch1
cd -

%build
%configure2_5x \
--enable-nautilus-menu --enable-ipod --enable-ipod-writing --enable-daap --enable-tag-writing \
--with-mdns=avahi \
--enable-gtk-doc
%make 

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std _ENABLE_SK=false

%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/*/*{-??.omf,-??_??.omf};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Audio;Player" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


rm -f  %buildroot%_libdir/%name/plugins/*.a %buildroot%_libdir/*.a
#gw remove it until there's a devel package
rm -f  %buildroot%_libdir/librhythmbox-core.{so,la}


find %buildroot -name \*.la |xargs chmod 644

%check
#gw I couldn't make the tests run in the iurt chroot
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_bindir}/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
# gw one test fails without a running dbus
#make check
kill $(cat /tmp/.X$XDISPLAY-lock) || :

%clean
rm -rf %{buildroot}

%post
%update_menus
%post_install_gconf_schemas rhythmbox
%update_scrollkeeper
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas rhythmbox

%postun
%{clean_menus}
%clean_scrollkeeper
%clean_icon_cache hicolor

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README NEWS
%config(noreplace) %{_sysconfdir}/gconf/schemas/rhythmbox.schemas
%{_bindir}/rhythmbox
%{_bindir}/rhythmbox-client
%{_datadir}/applications/rhythmbox.desktop
%{_datadir}/icons/hicolor/*/apps/rhythmbox*
%{_datadir}/rhythmbox/
%dir %_datadir/omf/rhythmbox/
%_datadir/omf/rhythmbox/rhythmbox-C.omf
%_datadir/gtk-doc/html/%name
%_datadir/dbus-1/services/org.gnome.Rhythmbox.service
%_libexecdir/rhythmbox-metadata
%_libdir/%name/

%files -n %libname
%defattr(-, root, root)
%_libdir/librhythmbox-core.so.%{major}*


%changelog
* Fri Sep 28 2007 Götz Waschk <waschk@mandriva.org> 0.11.2-2mdv2008.0
+ Revision: 93585
- add missing dep on pygtk2.0-libglade to fix bug #33483
- remove autoconf call

* Thu Aug 16 2007 Funda Wang <fundawang@mandriva.org> 0.11.2-1mdv2008.0
+ Revision: 64092
- New version

* Sun Aug 05 2007 Funda Wang <fundawang@mandriva.org> 0.11.1-2mdv2008.0
+ Revision: 59041
- Rebuild against new libmtp

  + Götz Waschk <waschk@mandriva.org>
    - enable music store plugins by default

* Tue Jun 26 2007 Götz Waschk <waschk@mandriva.org> 0.11.1-1mdv2008.0
+ Revision: 44515
- new version
- drop patch 1
- drop legacy menu
- update buildrequires

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 0.11.0-4mdv2008.0
+ Revision: 41426
- fix crash on ipod disconnect

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 0.11.0-3mdv2008.0
+ Revision: 41393
- rebuild for new libgpod

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.11.0-2mdv2008.0
+ Revision: 36198
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - drop patch
    - patch vala detection
    - add vala support
    - clean up spec file

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2008.0
+ Revision: 32082
- new version

  + Funda Wang <fundawang@mandriva.org>
    - fix url

* Thu May 24 2007 Götz Waschk <waschk@mandriva.org> 0.10.0.90-1mdv2008.0
+ Revision: 30766
- new version
- add missing icon


* Wed Apr 04 2007 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2007.1
+ Revision: 150477
- fix buildrequires
- new version
- drop all patches (merged)

* Fri Mar 09 2007 Frederic Crozat <fcrozat@mandriva.com> 0.9.8-4mdv2007.1
+ Revision: 138806
- Patch2 (Jonathan Matthew): don't start g-p-m if not running (GNOME bug #416213)

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-3mdv2007.1
+ Revision: 125755
- fix error in art display

* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-2mdv2007.1
+ Revision: 124856
- fix crash

* Wed Feb 21 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-1mdv2007.1
+ Revision: 123623
- new version
- drop all patches
- add library package

* Sat Feb 10 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-5mdv2007.1
+ Revision: 118759
- add mmkeys plugin from Fedora

* Sat Feb 10 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-4mdv2007.1
+ Revision: 118682
- disable the tests
- try to fix bug #28015 (python plugins on 64 bit)

* Mon Jan 15 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-3mdv2007.1
+ Revision: 109299
- rebuild

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 0.9.7-2mdv2007.1
+ Revision: 107112
- fix icon transparency
- add missing deps

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 0.9.7-1mdv2007.1
+ Revision: 98601
- new version
- drop patch

* Fri Dec 15 2006 Götz Waschk <waschk@mandriva.org> 0.9.6.90-1mdv2007.1
+ Revision: 97415
- new version
- patch to fix build
- enable checks, they might work in iurt

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.9.6-6mdv2007.1
+ Revision: 88872
- rebuild

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.9.6-5mdv2007.1
+ Revision: 63768
- rebuild
- add more missing buildrequires
- add testing support but don't enable it
- add more missing deps
- fix buildrequires
- Import rhythmbox

* Mon Oct 02 2006 Gtz Waschk <waschk@mandriva.org> 0.9.6-1mdv2007.0
- update file list
- drop patch
- new version

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.5-7mdv2007.0
- Patch0: don't use dbus deprecated api

* Tue Aug 01 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-6mdv2007.0
- fix buildrequires

* Sat Jul 29 2006 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdv2007.0
- Rebuild

* Fri Jun 23 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-4mdv2007.0
- fix buildrequires

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-3mdv2007.0
- fix buildrequires

* Mon Jun 19 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-2mdv2007.0
- fix post script

* Mon Jun 19 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-1mdv2007.0
- new macros
- update file list
- enable ipod writing
- drop patches
- New release 0.9.5

* Fri Jun 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.4.1-4mdv2007
- Patch1 (CVS): fix build with ncb 2.15.3

* Fri May 12 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4.1-3mdk
- patch for new libnotify

* Wed Apr 26 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4.1-2mdk
- fix buildrequires

* Wed Apr 26 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4.1-1mdk
- drop merged patch
- New release 0.9.4.1

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4-4mdk
- patch to use the right libtool

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4-3mdk
- fix buildrequires

* Wed Apr 19 2006 Götz Waschk <waschk@mandriva.org> 0.9.4-2mdk
- Rebuild

* Mon Apr 17 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4-1mdk
- update file list
- drop patch
- New release 0.9.4

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.3.1-4mdk
- Allow recompilation on 2006.0 distro

* Wed Feb 08 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.3.1-3mdk
- patch1: use local libtool for shell extension
  - add buildrequires: automake1.8 intltool

* Mon Feb 06 2006 Gtz Waschk <waschk@mandriva.org> 0.9.3.1-2mdk
- fix buildrequires

* Sun Feb 05 2006 Götz Waschk <waschk@mandriva.org> 0.9.3.1-1mdk
- New release 0.9.3.1

* Thu Feb 02 2006 Gtz Waschk <waschk@mandriva.org> 0.9.3-1mdk
- gstreamer 0.10
- fix buildrequires
- drop patch
- New release 0.9.3

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.9.2-5mdk
- require dbus-x11
- obsolete rhythmbox-scrobbler

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-4mdk
- Patch0 (CVS): dbus 0.60 support
- Remove dashboard flags, it is no longer supported

* Tue Jan 24 2006 Gtz Waschk <waschk@mandriva.org> 0.9.2-3mdk
- fix buildrequires

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 0.9.2-2mdk
- enforce avahi

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 0.9.2-1mdk
- update file list
- depend on libgpod
- New release 0.9.2

* Tue Nov 22 2005 Gtz Waschk <waschk@mandriva.org> 0.9.1-4mdk
- enable daap and tag writing

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 0.9.1-3mdk
- rebuild for new openssl

* Fri Oct 28 2005 Gtz Waschk <waschk@mandriva.org> 0.9.1-2mdk
- rebuild

* Tue Oct 18 2005 Gtz Waschk <waschk@mandriva.org> 0.9.1-1mdk
- update buildrequires
- update file list
- New release 0.9.1

* Tue Oct 11 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.0-
- Release 0.9.0

* Sat Jul 30 2005 Gtz Waschk <waschk@mandriva.org> 0.8.8-6mdk
- fix buildrequires

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 0.8.8-5mdk
- drop yelp dependency
- replace prereq with new requires(...) syntax

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 0.8.8-4mdk
- mkrel macro

* Sat Jan 08 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-3mdk
- rebuild

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.8-2plf 
- Rebuild with latest howl

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-1mdk
- enable nautilus menu
- drop yelp-pregenerate stuff
- fix omf file listing
- update description
- new version

* Sat Aug 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-3mdk
- enable ipod

* Thu Aug 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-2mdk
- reenable libtoolize

* Fri Jun 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- New release 0.8.5

* Thu May 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- New release 0.8.4

* Thu May 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-2mdk
- fix mp4 build 
- fix xine build

* Wed May 05 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- New release 0.8.3

* Sun May 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- drop plf option

* Sun May 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- New release 0.8.2

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- fix buildrequires

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- fix URL
- new version

* Sat Apr 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- obsoletes rhythmbox0.7
- new version

* Wed Apr 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.10-1mdk
- gstreamer 0.8
- new version

